Loading...
Searching...
No Matches
svn_cache_config_t Struct Reference
caching configuration

Cache resource settings. More...

`#include <svn_cache_config.h>`

## Data Fields

apr_uint64_t | cache_size
| total cache size in bytes.
apr_size_t | file_handle_count
| maximum number of files kept open
svn_boolean_t | single_threaded
| is this application guaranteed to be single-threaded?

## Detailed Description

Cache resource settings.

It controls what caches, in what size and how they will be created. The settings apply for the whole process.

Note
  Do not extend this data structure as this would break binary compatibility.

Since
  New in 1.7.

Definition at line 49 of file svn_cache_config.h.

## Field Documentation

## cache_size

apr_uint64_t svn_cache_config_t::cache_size

total cache size in bytes.

Please note that this is only soft limit to the total application memory usage and will be exceeded due to temporary objects and other program state. May be 0, resulting in default caching code being used.

Definition at line 55 of file svn_cache_config.h.

## file_handle_count

apr_size_t svn_cache_config_t::file_handle_count

maximum number of files kept open

Definition at line 58 of file svn_cache_config.h.

## single_threaded

svn_boolean_t svn_cache_config_t::single_threaded

is this application guaranteed to be single-threaded?

Definition at line 61 of file svn_cache_config.h.

The documentation for this struct was generated from the following file:

- svn_cache_config.h